Bug 147305 - config cannot set parameters for wireless; WEP scrambled
Summary: config cannot set parameters for wireless; WEP scrambled
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
(Show other bugs)
Version: 3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 87718
TreeView+ depends on / blocked
 
Reported: 2005-02-06 21:56 UTC by davidwriter
Modified: 2008-02-05 16:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-05 16:54:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description davidwriter 2005-02-06 21:56:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Cannot alter any setting on the Wireless Setting tab of the 
Wireless Device Configuration without getting an error
message. If all the settings are set with iwconfig
prior to using system-config-network the WEP is 
scrambled Even when the key is correctly set (using 0x)
(I use a 40 bit key) it gets scrambled into a 96 bit
key.  

Can get the link to work if everything is set using 
iwconfig, using system-config-network to activate and
while this is happening using iwconfig to reset the
key.  

Version-Release number of selected component (if applicable):
system-config-network-1.3.22-1

How reproducible:
Always

Steps to Reproduce:
1. configure device using iwconfig
2. try to activate using system-config-network
3. no link - WEP is now a (random?) 96 bit string

    

Actual Results:  No link with wireless device

Expected Results:  Network link should have been established

Additional info:

System : Dell Inspiron 8100 laptop with Linksys WPC55AG adaptor
(PCMCIA) using madwifi-0.0.20050128-1

Comment 1 Harald Hoyer 2005-02-08 11:17:52 UTC
hmm, please check /etc/sysconfig/network-scripts/keys-<devicename>

Comment 2 davidwriter 2005-02-08 21:03:24 UTC
KEY=s:0xF6E2-B565-C0

so it doesn't seem to be recognizing the '0x' as hex and is
treating it as a string?

David Scriven

Comment 3 Harald Hoyer 2005-02-09 09:04:52 UTC
well, well, you did not enter the hexstring correctly.. "-" are not
part of a number :), ok, partly my fault.

Just enter "0xF6E2B565C0" and all should be fine.

Comment 4 davidwriter 2005-02-09 18:12:19 UTC
Oops! that was stupid on my part - the WEP works now.

However, the first problem remains - any attempt to
alter the wireless settings results in the message
(the example is for set mode Auto, so one can define 
the channel and rate)

Error for wireless request "Set Mode" (8B06) :
    SET failed on device ath0 ; Invalid argument.

Using iwconfig:  "/sbin/iwconfig ath0 Auto" 
gives the same message so this is a problem 
with madwifi?? - or is Auto not a valid setting
for certain cards?

Comment 5 Harald Hoyer 2005-02-09 18:14:39 UTC
exactly... auto does not seem to be a valid setting for some cards :-/

Comment 6 Matthew Miller 2006-07-10 21:07:52 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 7 petrosyan 2008-02-05 16:54:56 UTC
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release please reopen this bug and assign it to the corresponding
Fedora version.


Note You need to log in before you can comment on or make changes to this bug.